<?xml version="1.0" encoding="UTF-8"?>
<phpunit backupGlobals="false"
         backupStaticAttributes="false"
         bootstrap="vendor/autoload.php"
         colors="never"
         convertErrorsToExceptions="true"
         convertNoticesToExceptions="true"
         convertWarningsToExceptions="true"
         processIsolation="true"
         stopOnError="false"
         stopOnFailure="false"
         stopOnIncomplete="false"
         stopOnSkipped="false"
         stopOnRisky="false">

    <testsuites>
        <testsuite name="LUYA Fullpage.js Extension Testsuite">
            <directory>./tests/</directory>
        </testsuite>
    </testsuites>

    <filter>
        <whitelist>
            <directory suffix=".php">./src</directory>
        </whitelist>
        <blacklist>
            <directory suffix=".php">./vendor</directory>
            <directory>./docs/</directory>
        </blacklist>
    </filter>

    <logging>
        <log type="coverage-html" target="./docs/coverage" />
    </logging>
</phpunit>